Bug 44222

Summary: [Qt] Improve the speed of blur shadow
Product: WebKit Reporter: Ariya Hidayat <ariya.hidayat@gmail.com>
Component: Layout and RenderingAssignee: Ariya Hidayat <ariya.hidayat@gmail.com>
Status: RESOLVED FIXED    
Severity: Normal CC: akling@apple.com, hausmann@webkit.org, krit@webkit.org, mrobinson@webkit.org
Priority: P2 Keywords: HTML5, Qt, QtTriaged
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
URL: http://philip.html5.org/tests/canvas/suite/tests/spec.html#testrefs.2d.shadow.render
Bug Depends on:    
Bug Blocks: 34479    
Attachments:
Description Flags
Patch none

Description From 2010-08-18 17:10:25 PST
The code to do the blur filter for the shadow, in ContextShadow.cpp, could use some performance improvements.
------- Comment #1 From 2010-09-14 23:38:39 PST -------
Created an attachment (id=67646) [details]
Patch
------- Comment #2 From 2010-09-15 09:44:49 PST -------
(From update of attachment 67646 [details])
Clearing flags on attachment: 67646

Committed r67559: <http://trac.webkit.org/changeset/67559>
------- Comment #3 From 2010-09-15 09:44:56 PST -------
All reviewed patches have been landed.  Closing bug.